From db@adsl-69-107-32-110.dsl.pltn13.pacbell.net Thu Aug 11 19:39:48 2005
Date: Thu, 11 Aug 2005 19:36:36 -0700
From: david-b@pacbell.net
To: greg@kroah.com
Subject: USB: remove annoying message
Message-Id: <20050812023636.35077C0D33@adsl-69-107-32-110.dsl.pltn13.pacbell.net>

Avoid an annoying message that can appear if devices are disconnected
in the middle of a USB scatterlist operation.

Message noted in http://bugzilla.kernel.org/show_bug.cgi?id=4373
(but the real issue there seems to be a SCSI level hang).

Signed-off-by: David Brownell <dbrownell@users.sourceforge.net>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/core/message.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

--- gregkh-2.6.orig/drivers/usb/core/message.c	2005-08-12 14:48:01.000000000 -0700
+++ gregkh-2.6/drivers/usb/core/message.c	2005-08-12 14:48:33.000000000 -0700
@@ -265,7 +265,9 @@
 				continue;
 			if (found) {
 				status = usb_unlink_urb (io->urbs [i]);
-				if (status != -EINPROGRESS && status != -EBUSY)
+				if (status != -EINPROGRESS
+						&& status != -ENODEV
+						&& status != -EBUSY)
 					dev_err (&io->dev->dev,
 						"%s, unlink --> %d\n",
 						__FUNCTION__, status);
